import { StripeConstructorOptions, Stripe as StripeDefault } from "@stripe/stripe-js";
import { StripeExtension } from "./methods/index";
/**
 * Stripe default interface
 */
export interface StripeDefaultWithInternal extends StripeDefault {
    /**
     * Stripe api key after initialization, like pk_...
     */
    _apiKey: string;
}
/**
 * Stripe patched library
 */
export interface Stripe extends StripeExtension, StripeDefault {
}
/**
 * Initialize stripe
 *
 * @param publishableKey - stripe public key, like pk_...
 * @param options - stripe initialization options
 * @returns
 */
export declare const loadStripe: (publishableKey: string, options: StripeConstructorOptions | undefined) => Promise<Stripe>;
