"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadStripe = void 0;
const stripe_js_1 = require("@stripe/stripe-js");
const index_1 = require("./methods/index");
/**
 * Initialize stripe
 *
 * @param publishableKey - stripe public key, like pk_...
 * @param options - stripe initialization options
 * @returns
 */
const loadStripe = async (publishableKey, options) => {
    const stripeDefault = await (0, stripe_js_1.loadStripe)(publishableKey, options);
    if (stripeDefault === null ||
        // eslint-disable-next-line no-underscore-dangle
        typeof stripeDefault?._apiKey !== "string")
        throw new Error("Initialization error.");
    const stripeExtension = new index_1.StripeExtension(
    // eslint-disable-next-line no-underscore-dangle
    stripeDefault._apiKey);
    const stripe = Object.assign(stripeDefault, stripeExtension);
    return stripe;
};
exports.loadStripe = loadStripe;
//# sourceMappingURL=index.js.map