import { Card } from "@stripe/stripe-js";
import { StripeExtension } from "./index";
/**
 * Add card to customer (from source or token).
 *
 * @param token - source or token string (see: https://stripe.com/docs/api/sources/object)
 * @param customerId - customer id (see: https://stripe.com/docs/api/customers/object#customer_object-id)
 * @param ephemeralKey - customer ephemeral key
 * @returns
 */
export declare const addSourceToCustomer: (this: StripeExtension, token: string, customerId: string, ephemeralKey: string) => Promise<Card | undefined>;
