import { Card } from "@stripe/stripe-js";
import { StripeExtension } from "./index";
/**
 * Delete card from customer.
 *
 * @param sourceId - source or card id (see: https://stripe.com/docs/api/sources/object#source_object-id)
 * @param customerId - customer id (see: https://stripe.com/docs/api/customers/object#customer_object-id)
 * @param ephemeralKey - customer ephemeral key
 * @returns
 */
export declare const deleteSourceFromCustomer: (this: StripeExtension, sourceId: string, customerId: string, ephemeralKey: string) => Promise<Card | undefined>;
