"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StripeExtension = void 0;
const confirmPaymentIntentByCard_1 = require("./confirmPaymentIntentByCard");
const confirmPaymentIntentByPaymentMethod_1 = require("./confirmPaymentIntentByPaymentMethod");
const addSourceToCustomer_1 = require("./addSourceToCustomer");
const deleteSourceFromCustomer_1 = require("./deleteSourceFromCustomer");
const getAllCards_1 = require("./getAllCards");
const getCustomer_1 = require("./getCustomer");
const setDefaultCard_1 = require("./setDefaultCard");
const addPaymentMethodToCustomer_1 = require("./addPaymentMethodToCustomer");
const deletePaymentMethodFromCustomer_1 = require("./deletePaymentMethodFromCustomer");
const getAllPaymentMethods_1 = require("./getAllPaymentMethods");
const setDefaultPaymentMethod_1 = require("./setDefaultPaymentMethod");
/**
 * additional stripe methods
 */
class StripeExtension {
    constructor(apiKey) {
        this.confirmPaymentIntentByCard = confirmPaymentIntentByCard_1.confirmPaymentIntentByCard;
        this.confirmPaymentIntentByPaymentMethod = confirmPaymentIntentByPaymentMethod_1.confirmPaymentIntentByPaymentMethod;
        this.addSourceToCustomer = addSourceToCustomer_1.addSourceToCustomer;
        this.deleteSourceFromCustomer = deleteSourceFromCustomer_1.deleteSourceFromCustomer;
        this.getAllCards = getAllCards_1.getAllCards;
        this.getCustomer = getCustomer_1.getCustomer;
        this.setDefaultCard = setDefaultCard_1.setDefaultCard;
        this.addPaymentMethodToCustomer = addPaymentMethodToCustomer_1.addPaymentMethodToCustomer;
        this.deletePaymentMethodFromCustomer = deletePaymentMethodFromCustomer_1.deletePaymentMethodFromCustomer;
        this.getAllPaymentMethods = getAllPaymentMethods_1.getAllPaymentMethods;
        this.setDefaultPaymentMethod = setDefaultPaymentMethod_1.setDefaultPaymentMethod;
        this._apiKey = apiKey;
    }
}
exports.StripeExtension = StripeExtension;
//# sourceMappingURL=index.js.map