import { StripeExtension } from ".";
/**
 * Set default customer payment method
 *
 * @param paymentMethodId - payment method id (see: https://stripe.com/docs/api/customers/object#payment_method_object-id)
 * @param customerId - customer id (see: https://stripe.com/docs/api/customers/object#customer_object-id)
 * @param ephemeralKey - customer ephemeral key
 * @returns
 */
export declare const setDefaultPaymentMethod: (this: StripeExtension, paymentMethodId: string, customerId: string, ephemeralKey: string) => Promise<any>;
